summaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-07-03 21:02:58 +0000
committer Eric Hameleers <alien@slackware.com>2019-07-04 08:59:47 +0200
commitdb3b9f73c4d039d80bd94aca9c0724804ef203ef (patch)
tree34a73f8cc0573657253d283185189fb6326c7521 /testing
parented5de188b1ed607733e4e70b83631161dc845789 (diff)
downloadcurrent-3216f3934f11717c0408a6c8936bd0f5a4fb0f81.tar.gz
current-3216f3934f11717c0408a6c8936bd0f5a4fb0f81.tar.xz
Wed Jul 3 21:02:58 UTC 201920190703210258
a/kernel-generic-4.19.57-x86_64-1.txz: Upgraded. a/kernel-huge-4.19.57-x86_64-1.txz: Upgraded. a/kernel-modules-4.19.57-x86_64-1.txz: Upgraded. d/kernel-headers-4.19.57-x86-1.txz: Upgraded. k/kernel-source-4.19.57-noarch-1.txz: Upgraded. l/Mako-1.0.13-x86_64-1.txz: Upgraded. l/SDL2_image-2.0.5-x86_64-1.txz: Upgraded. n/postfix-3.4.6-x86_64-1.txz: Upgraded. xap/blueman-2.0.8-x86_64-2.txz: Rebuilt. Reverted to blueman-2.0.8 as I'm also seeing connection issues here with the newer version. xap/xscreensaver-5.43-x86_64-1.txz: Upgraded. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. testing/packages/blueman-2.1-x86_64-1.txz: Upgraded. This doesn't seem to be working properly. Any patches are welcome. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'testing')
-rw-r--r--testing/source/blueman/30-blueman-netdev-allow-access.rules10
-rwxr-xr-xtesting/source/blueman/blueman.SlackBuild143
-rw-r--r--testing/source/blueman/doinst.sh30
-rw-r--r--testing/source/blueman/dont-autostart-applet-in-kde.diff9
-rw-r--r--testing/source/blueman/slack-desc19
5 files changed, 211 insertions, 0 deletions
diff --git a/testing/source/blueman/30-blueman-netdev-allow-access.rules b/testing/source/blueman/30-blueman-netdev-allow-access.rules
new file mode 100644
index 000000000..9ef313c75
--- /dev/null
+++ b/testing/source/blueman/30-blueman-netdev-allow-access.rules
@@ -0,0 +1,10 @@
+/* Allow users in netdev group to use blueman feature requiring root without authentication */
+polkit.addRule(function(action, subject) {
+ if ((action.id == "org.blueman.network.setup" ||
+ action.id == "org.blueman.dhcp.client" ||
+ action.id == "org.blueman.rfkill.setstate" ||
+ action.id == "org.blueman.pppd.pppconnect") &&
+ subject.isInGroup("netdev")) {
+ return polkit.Result.YES;
+ }
+});
diff --git a/testing/source/blueman/blueman.SlackBuild b/testing/source/blueman/blueman.SlackBuild
new file mode 100755
index 000000000..2d2a64d58
--- /dev/null
+++ b/testing/source/blueman/blueman.SlackBuild
@@ -0,0 +1,143 @@
+#!/bin/bash
+
+# Slackware build script for blueman
+
+# Copyright 2009, 2015 Robby Workman, Tuscaloosa, Alabama, USA
+# Copyright 2010, 2015, 2018 Patrick Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=blueman
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+PYTHON3VER=$(python3 -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d.)
+PYTHON3LIB=$( python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' )
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Apply git patches
+for i in $CWD/patches/*.patch ; do
+ cat $i | patch -p1 || exit 1
+done
+
+# Don't autostart blueman applet in KDE; it has its own bluetooth application
+zcat $CWD/dont-autostart-applet-in-kde.diff.gz | patch -p1 --verbose || exit 1
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+PYTHON=/usr/bin/python3 \
+CYTHONEXEC=/usr/bin/cython3 \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --disable-static \
+ --with-dhcp-config=/etc/dhcpd.conf \
+ --enable-polkit \
+ --enable-thunar-sendto \
+ --enable-settings-integration \
+ --disable-schemas-compile \
+ --build=$ARCH-slackware-linux || exit 1
+
+# --with-no-runtime-deps-check
+
+# I think there's a built-in fallback, but just in case:
+sed -i "s,nautilus,thunar,g" blueman/Constants.py*
+
+# https://github.com/blueman-project/blueman/issues/435
+sed -i "s,#!/usr/bin/env python3,#!/usr/bin/python${PYTHON3VER},g" module/_blueman.pyx apps/*
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Install default rules allowing users in the netdev group to make changes:
+mkdir -p $PKG/etc/polkit-1/rules.d
+zcat $CWD/30-blueman-netdev-allow-access.rules.gz > $PKG/etc/polkit-1/rules.d/30-blueman-netdev-allow-access.rules.new
+
+# Remove the AppIndicator.py plugin (we don't have libappindicator3
+# nor will we be getting it in the foreseeable future)
+rm ${PKG}$PYTHON3LIB/blueman/plugins/applet/AppIndicator.py
+rm ${PKG}$PYTHON3LIB/blueman/plugins/applet/__pycache__/AppIndicator*.pyc
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/testing/source/blueman/doinst.sh b/testing/source/blueman/doinst.sh
new file mode 100644
index 000000000..16e49ab97
--- /dev/null
+++ b/testing/source/blueman/doinst.sh
@@ -0,0 +1,30 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+config etc/polkit-1/rules.d/30-blueman-netdev-allow-access.rules.new
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
+
diff --git a/testing/source/blueman/dont-autostart-applet-in-kde.diff b/testing/source/blueman/dont-autostart-applet-in-kde.diff
new file mode 100644
index 000000000..0334321fc
--- /dev/null
+++ b/testing/source/blueman/dont-autostart-applet-in-kde.diff
@@ -0,0 +1,9 @@
+diff -Nur blueman-20170523_git_1500d60ebf3e.orig/data/blueman.desktop.in blueman-20170523_git_1500d60ebf3e/data/blueman.desktop.in
+--- blueman-20170523_git_1500d60ebf3e.orig/data/blueman.desktop.in 2014-12-19 09:25:34.000000000 -0600
++++ blueman-20170523_git_1500d60ebf3e/data/blueman.desktop.in 2017-06-27 16:59:28.121073690 -0500
+@@ -5,4 +5,5 @@
+ Exec=blueman-applet
+ Terminal=false
+ Type=Application
++NotShowIn=KDE;
+ Categories=
diff --git a/testing/source/blueman/slack-desc b/testing/source/blueman/slack-desc
new file mode 100644
index 000000000..93143ff90
--- /dev/null
+++ b/testing/source/blueman/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+blueman: Blueman (Graphical Bluetooth Manager)
+blueman:
+blueman: Blueman is a GTK+ Bluetooth Manager for tasks such as:
+blueman:
+blueman: - Connecting to 3G/EDGE/GPRS via DUN profile.
+blueman: - Connecting to/Creating bluetooth networks
+blueman: - Connecting to input and audio devices
+blueman: - Sending/Receiving/Browsing files via OBEX
+blueman: - Pairing
+blueman:
+blueman: Homepage: https://github.com/blueman-project/blueman